```@meta
CurrentModule = RayTracer
```

# Scene Configuration

This page provides the details about how to configure the parameters of the scene. For a
more hands on tutorial see [Introduction to rendering using RayTracer.jl](@ref).

```@index
Pages = ["scene.md"]
```

## Camera

```@autodocs
Modules = [RayTracer]
Pages = ["camera.jl"]
```

## Light

```@autodocs
Modules = [RayTracer]
Pages = ["light.jl"]
```

## Materials
```@autodocs
Modules = [RayTracer]
Pages = ["materials.jl"]
```

## Objects

```@autodocs
Modules = [RayTracer]
Pages = ["sphere.jl",
         "triangle.jl",
         "obj_parser.jl",
         "polygon_mesh.jl",
         "objects.jl"]
```

```@docs
```
